Index: code/trunk/src/orxonox/pickup/PickupIdentifier.cc
===================================================================
--- code/trunk/src/orxonox/pickup/PickupIdentifier.cc	(revision 6725)
+++ code/trunk/src/orxonox/pickup/PickupIdentifier.cc	(revision 7163)
@@ -39,5 +39,5 @@
 namespace orxonox
 {
-    
+
     /**
     @brief
@@ -47,16 +47,16 @@
     {
         RegisterRootObject(PickupIdentifier);
-        
+
         if(pickup == NULL)
             COUT(1) << "Error, PickupIdentifier was created without a valid Pickupable." << std::endl;
-        
+
         this->pickup_ = pickup;
     }
-    
+
     PickupIdentifier::~PickupIdentifier()
     {
 
     }
-    
+
     /**
     @brief
@@ -74,5 +74,5 @@
             COUT(1) << "Error in PickupIdentifier::compare: Input Identifier is NULL." << std::endl;
         }
-        
+
         if(identifier->pickup_ == NULL && this->pickup_ == NULL)
         {
@@ -80,5 +80,5 @@
             COUT(1) << "Error in PickupIdentifier::compare: Pickup stored by Identifier is NULL." << std::endl;
         }
-        
+
         if(identifier->pickup_ == NULL)
         {
@@ -86,5 +86,5 @@
             COUT(1) << "Error in PickupIdentifier::compare: Pickup stored by Identifier is NULL." << std::endl;
         }
-        
+
         if(this->pickup_ == NULL)
         {
@@ -92,9 +92,9 @@
             COUT(1) << "Error in PickupIdentifier::compare: Pickup stored by Identifier is NULL." << std::endl;
         }
-        
+
         //! If the classIdentifiers are not the same (meaning the PickupIdentifiers identify different classes), the obviously the two Pickupables identified by the PickupIdentifiers cannot be the same. An ordering is established through the alphabetical ordering of the respective classnames.
         if(!identifier->pickup_->getIdentifier()->isExactlyA(this->pickup_->getIdentifier()))
             return this->pickup_->getIdentifier()->getName().compare(identifier->pickup_->getIdentifier()->getName());
-        
+
         //! If the class is the same for both PickupIdentifiers we go on to check the parameters of the class.
         //! If the two have a different number of parameters then obviusly something is very wrong.
@@ -104,6 +104,6 @@
             return this->parameters_.size()-identifier->parameters_.size();
         }
-        
-        //! We iterate through all parameters and compar their values (which are strings). The first parameter is the most significant. The ordering is once again established by the alphabetical comparison of the two value strings.
+
+        //! We iterate through all parameters and compare their values (which are strings). The first parameter is the most significant. The ordering is once again established by the alphabetical comparison of the two value strings.
         for(std::map<std::string, std::string>::const_iterator it = this->parameters_.begin(); it != this->parameters_.end(); it++)
         {
@@ -117,8 +117,8 @@
                 return it->second.compare(identifier->parameters_.find(it->first)->second);
         }
-            
+
         return 0;
     }
-    
+
     /**
     @brief
@@ -134,5 +134,5 @@
     {
         COUT(4) << "PickupIdentifier " << name << ", " << value << std::endl;
-        
+
         if(!(this->parameters_.find(name) == this->parameters_.end()))
         {
@@ -140,9 +140,9 @@
             return false;
         }
-        
+
         this->parameters_[name] = value;
-        
+
         return true;
     }
-    
+
 }
Index: code/trunk/src/orxonox/pickup/PickupIdentifier.h
===================================================================
--- code/trunk/src/orxonox/pickup/PickupIdentifier.h	(revision 6725)
+++ code/trunk/src/orxonox/pickup/PickupIdentifier.h	(revision 7163)
@@ -41,9 +41,9 @@
 #include "core/Identifier.h"
 
-#include "core/OrxonoxClass.h" 
+#include "core/OrxonoxClass.h"
 
 namespace orxonox
 {
-    
+
     /**
     @brief
@@ -57,19 +57,19 @@
     class _OrxonoxExport PickupIdentifier : virtual public OrxonoxClass
     {
-        
+
         public:
             PickupIdentifier(Pickupable* pickup); //!< Constructor.
             ~PickupIdentifier(); //!< Destructor.
-            
+
             virtual int compare(const PickupIdentifier* identifier) const; //!< Compares two PickupIdentifiers and returns 0 if a == b, <0 if a < b and >0 if a > b for a.compare(b).
-            
+
             bool addParameter(std::string & name, std::string & value); //!< Add a parameter to the PickupIdentifier.
-            
+
         private:
             Pickupable* pickup_; //!< The Pickupable the PickupIdentififer is for.
             std::map<std::string, std::string> parameters_; //!< The parameters identifying the type of the pickup beyond the class.
-            
+
     };
-    
+
     /**
     @brief
@@ -81,5 +81,5 @@
             { return lhs->compare(rhs) < 0; }
     };
-    
+
 }
 
